GET /api/v202306/emissionSource

Retrieves all the emissions sources

GetEmissionSourcesV202306 Permissions: EmissionsSources (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
city City String equals
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String one of not one of
country Country String equals
emissionSourceCode Emission Source Code String equals like
emissionSourceId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
emissionSourceInfo Emission Source Name String equals like
ghGasFactorInfo GHG Factor String one of
ghGasScopeCategoryInfo Scope Category String one of
hasMeterLink Linked to UM Meter Boolean equals
note Notes String like
postalCode Postal Code String equals
state State/Province String equals
topmostCollectionCode Topmost Collection Code String equals
topmostCollectionInfo Topmost Collection Name String equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EmissionSourceResponse
Property Description Type
active Indicates whether the emission source is active boolean
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
collection CollectionChild
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the emission source was created string (date-time)
defaultEmissionFactor GHGFactorChildV202210
GHGFactorChildV202210 properties
Property Description Type
factorDescription The Factor Description string
factorId The Factor Identifier integer (int32)
factorInfo The Factor Info string
defaultScopeCategory GHGScopeCategoryChildV202210
GHGScopeCategoryChildV202210 properties
Property Description Type
scopeCategoryDescription The GHG Scope Category Description string
scopeCategoryId The GHG Scope Category Identifier integer (int32)
scopeCategoryInfo The GHG Scope Category Info string
emissionSourceCode The emission source code string
emissionSourceId The emission source identifier integer (int32)
emissionSourceInfo The emission source info string
meter MeterLink
MeterLink properties
Property Description Type
meterId The identifier for a Meter integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification of the emission source string (date-time)
note The emission source description string
Example Response application/json
[
  {    "active": false,    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "collection": {      "collectionCode": "string",      "collectionIcon": {},      "collectionId": 1,      "collectionInfo": "string"
    },    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "defaultEmissionFactor": {      "factorDescription": "string",      "factorId": 1,      "factorInfo": "string"
    },    "defaultScopeCategory": {      "scopeCategoryDescription": "string",      "scopeCategoryId": 1,      "scopeCategoryInfo": "string"
    },    "emissionSourceCode": "string",    "emissionSourceId": 1,    "emissionSourceInfo": "string",    "meter": {      "meterId": 1
    },    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "note": "string"
  }
]